
package com.tmerclub.cloud.common.order.bo;

import com.tmerclub.cloud.common.order.vo.ShopCartOrderMergerVO;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author xxw
 * @date 2022/9/7 11:35
 */
public class ComboOrderNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单信息
     */
    private ShopCartOrderMergerVO shopCartOrderMergerVO;

    /**
     * 用户id
     */
    private Long userId;

    public ShopCartOrderMergerVO getShopCartOrderMergerVO() {
        return shopCartOrderMergerVO;
    }

    public void setShopCartOrderMergerVO(ShopCartOrderMergerVO shopCartOrderMergerVO) {
        this.shopCartOrderMergerVO = shopCartOrderMergerVO;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "ComboOrderNotifyBO{" +
                "shopCartOrderMergerVO=" + shopCartOrderMergerVO +
                ", userId=" + userId +
                '}';
    }
}
